Bug 257265 - security/step-cli: Update to 0.16.1
Summary: security/step-cli: Update to 0.16.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Guangyuan Yang
URL: https://github.com/smallstep/cli/rele...
Keywords:
Depends on:
Blocks: 257266
  Show dependency treegraph
 
Reported: 2021-07-19 06:26 UTC by Markus Wipp
Modified: 2021-08-03 21:06 UTC (History)
2 users (show)

See Also:


Attachments
git diff (88.29 KB, patch)
2021-07-19 06:26 UTC, Markus Wipp
mw: maintainer-approval+
Details | Diff
git diff corrected (88.29 KB, patch)
2021-07-21 06:34 UTC, Markus Wipp
no flags Details | Diff
git diff corrected 2 (88.29 KB, patch)
2021-07-21 07:26 UTC, Markus Wipp
no flags Details | Diff
git diff corrected 3 (68.75 KB, patch)
2021-07-21 07:41 UTC, Markus Wipp
no flags Details | Diff
git diff corrected 4 (67.37 KB, patch)
2021-08-03 13:58 UTC, Markus Wipp
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Markus Wipp 2021-07-19 06:26:01 UTC
Created attachment 226544 [details]
git diff

Hi all, 

find attached the patch to update the port to the latest version available on github at: https://github.com/smallstep/cli/releases

Thanks for committing
Markus
Comment 1 Guangyuan Yang freebsd_committer 2021-07-20 00:08:23 UTC
Seems like the distinfo has some issues - can you check?

=> Attempting to fetch https://codeload.github.com/smallstep/cli/tar.gz/v0.16.1?dummy=/smallstep-cli-v0.16.1_GH0.tar.gz
fetch: https://codeload.github.com/smallstep/cli/tar.gz/v0.16.1?dummy=/smallstep-cli-v0.16.1_GH0.tar.gz: size unknown
fetch: https://codeload.github.com/smallstep/cli/tar.gz/v0.16.1?dummy=/smallstep-cli-v0.16.1_GH0.tar.gz: size of remote file is not known
smallstep-cli-v0.16.1_GH0.tar.gz                      1752 kB   11 MBps    00s
=> Fetched file size mismatch (expected 1794356, actual 1794368)
Comment 2 Markus Wipp 2021-07-21 06:33:58 UTC
(In reply to Guangyuan Yang from comment #1)
Sorry for the issue. Didn't notice this on my end for some reason.
I'll attach a new version of the patch
Comment 3 Markus Wipp 2021-07-21 06:34:49 UTC
Created attachment 226579 [details]
git diff corrected

new corrected version of the previous patch
Comment 4 Guangyuan Yang freebsd_committer 2021-07-21 07:19:20 UTC
Hi,

The distinfo is still problematic, I see this in the file:

SHA256 (etcd-io-etcd-v3.5.0_GH0.tar.gz) = f30f68c52a7547af08be7d166884c94885ea8a593c1c1e814c89b24148ee1921
SIZE (etcd-io-etcd-v3.5.0_GH0.tar.gz) = 4020010
SHA256 (etcd-io-etcd-v3.5.0_GH0.tar.gz) = f30f68c52a7547af08be7d166884c94885ea8a593c1c1e814c89b24148ee1921
SIZE (etcd-io-etcd-v3.5.0_GH0.tar.gz) = 4020010
SHA256 (etcd-io-etcd-v3.5.0_GH0.tar.gz) = f30f68c52a7547af08be7d166884c94885ea8a593c1c1e814c89b24148ee1921
SIZE (etcd-io-etcd-v3.5.0_GH0.tar.gz) = 4020010
SHA256 (etcd-io-etcd-v3.5.0_GH0.tar.gz) = f30f68c52a7547af08be7d166884c94885ea8a593c1c1e814c89b24148ee1921
SIZE (etcd-io-etcd-v3.5.0_GH0.tar.gz) = 4020010
SHA256 (etcd-io-etcd-v3.5.0_GH0.tar.gz) = f30f68c52a7547af08be7d166884c94885ea8a593c1c1e814c89b24148ee1921
SIZE (etcd-io-etcd-v3.5.0_GH0.tar.gz) = 4020010
SHA256 (etcd-io-etcd-v3.5.0_GH0.tar.gz) = f30f68c52a7547af08be7d166884c94885ea8a593c1c1e814c89b24148ee1921
SIZE (etcd-io-etcd-v3.5.0_GH0.tar.gz) = 4020010
SHA256 (etcd-io-etcd-v3.5.0_GH0.tar.gz) = f30f68c52a7547af08be7d166884c94885ea8a593c1c1e814c89b24148ee1921
SIZE (etcd-io-etcd-v3.5.0_GH0.tar.gz) = 4020010
SHA256 (etcd-io-etcd-v3.5.0_GH0.tar.gz) = f30f68c52a7547af08be7d166884c94885ea8a593c1c1e814c89b24148ee1921
SIZE (etcd-io-etcd-v3.5.0_GH0.tar.gz) = 4020010
SHA256 (etcd-io-etcd-v3.5.0_GH0.tar.gz) = f30f68c52a7547af08be7d166884c94885ea8a593c1c1e814c89b24148ee1921
SIZE (etcd-io-etcd-v3.5.0_GH0.tar.gz) = 4020010
SHA256 (etcd-io-etcd-v3.5.0_GH0.tar.gz) = f30f68c52a7547af08be7d166884c94885ea8a593c1c1e814c89b24148ee1921
SIZE (etcd-io-etcd-v3.5.0_GH0.tar.gz) = 4020010

Which resulted in the following poudriere build error:

=> Attempting to fetch https://codeload.github.com/etcd-io/etcd/tar.gz/v3.5.0?dummy=/etcd-io-etcd-v3.5.0_GH0.tar.gz
fetch: 4020010: No such file or directory
fetch: 4020010: No such file or directory
fetch: 4020010: No such file or directory
fetch: 4020010: No such file or directory
fetch: 4020010: No such file or directory
fetch: 4020010: No such file or directory
fetch: 4020010: No such file or directory
fetch: 4020010: No such file or directory
fetch: 4020010: No such file or directory

Please test patches with Poudriere and report the build result (passed) in the future, thanks!
Comment 5 Markus Wipp 2021-07-21 07:26:54 UTC
Created attachment 226581 [details]
git diff corrected 2
Comment 6 Markus Wipp 2021-07-21 07:28:36 UTC
(In reply to Guangyuan Yang from comment #4)
Hi sorry for the inconvenience.
I now emptied my distfiles folder and made a new version.
Unfortunately I do not know how I can test my patches with my poudriere. Is there any documentation available on how to "inject" my patches into poudriere?

Thanks
Markus
Comment 7 Guangyuan Yang freebsd_committer 2021-07-21 07:29:30 UTC
(In reply to Markus Wipp from comment #6)

This patch seems to update step-cli to 0.16.0 instead of 0.16.1.
Comment 8 Guangyuan Yang freebsd_committer 2021-07-21 07:30:55 UTC
(In reply to Markus Wipp from comment #6)

There are documentation widely available on how to set up Poudriere locally online. Not required, but highly recommended for testing!
Comment 9 Markus Wipp 2021-07-21 07:41:20 UTC
Created attachment 226582 [details]
git diff corrected 3

sorry, I messed some things up here. Not my day today! 
I will definitely look into how to get my poudriere build my patches before the next version!

Thanks for having patience with a relative newbie regarding ports
Markus
Comment 10 Guangyuan Yang freebsd_committer 2021-07-21 10:13:12 UTC
(In reply to Markus Wipp from comment #9)

The previous error is still there:

SHA256 (etcd-io-etcd-v3.5.0_GH0.tar.gz) = f30f68c52a7547af08be7d166884c94885ea8a593c1c1e814c89b24148ee1921
SIZE (etcd-io-etcd-v3.5.0_GH0.tar.gz) = 4020010
SHA256 (etcd-io-etcd-v3.5.0_GH0.tar.gz) = f30f68c52a7547af08be7d166884c94885ea8a593c1c1e814c89b24148ee1921
SIZE (etcd-io-etcd-v3.5.0_GH0.tar.gz) = 4020010
SHA256 (etcd-io-etcd-v3.5.0_GH0.tar.gz) = f30f68c52a7547af08be7d166884c94885ea8a593c1c1e814c89b24148ee1921
SIZE (etcd-io-etcd-v3.5.0_GH0.tar.gz) = 4020010
SHA256 (etcd-io-etcd-v3.5.0_GH0.tar.gz) = f30f68c52a7547af08be7d166884c94885ea8a593c1c1e814c89b24148ee1921
SIZE (etcd-io-etcd-v3.5.0_GH0.tar.gz) = 4020010
SHA256 (etcd-io-etcd-v3.5.0_GH0.tar.gz) = f30f68c52a7547af08be7d166884c94885ea8a593c1c1e814c89b24148ee1921
SIZE (etcd-io-etcd-v3.5.0_GH0.tar.gz) = 4020010
SHA256 (etcd-io-etcd-v3.5.0_GH0.tar.gz) = f30f68c52a7547af08be7d166884c94885ea8a593c1c1e814c89b24148ee1921
SIZE (etcd-io-etcd-v3.5.0_GH0.tar.gz) = 4020010
SHA256 (etcd-io-etcd-v3.5.0_GH0.tar.gz) = f30f68c52a7547af08be7d166884c94885ea8a593c1c1e814c89b24148ee1921
SIZE (etcd-io-etcd-v3.5.0_GH0.tar.gz) = 4020010
SHA256 (etcd-io-etcd-v3.5.0_GH0.tar.gz) = f30f68c52a7547af08be7d166884c94885ea8a593c1c1e814c89b24148ee1921
SIZE (etcd-io-etcd-v3.5.0_GH0.tar.gz) = 4020010
SHA256 (etcd-io-etcd-v3.5.0_GH0.tar.gz) = f30f68c52a7547af08be7d166884c94885ea8a593c1c1e814c89b24148ee1921
SIZE (etcd-io-etcd-v3.5.0_GH0.tar.gz) = 4020010
SHA256 (etcd-io-etcd-v3.5.0_GH0.tar.gz) = f30f68c52a7547af08be7d166884c94885ea8a593c1c1e814c89b24148ee1921
SIZE (etcd-io-etcd-v3.5.0_GH0.tar.gz) = 4020010

Did you try a clean test build of this? I strongly recommend setting up Poudriere. Please update your patch with your build result (something like: build is ok on 13.0) so I can proceed. And no worries, take your time, just make sure the patch is good before submitting. :)
Comment 11 Markus Wipp 2021-08-03 13:58:15 UTC
Created attachment 226909 [details]
git diff corrected 4

Hi,

I'm confident that the error is now resolved with the new version of the patch.

Thanks
Markus
Comment 12 commit-hook freebsd_committer 2021-08-03 21:05:42 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=9e105bf9845a0928c26dc3d1907d27c18291ef50

commit 9e105bf9845a0928c26dc3d1907d27c18291ef50
Author:     Markus Wipp <mw@wipp.bayern>
AuthorDate: 2021-08-03 20:50:53 +0000
Commit:     Guangyuan Yang <ygy@FreeBSD.org>
CommitDate: 2021-08-03 20:50:53 +0000

    security/step-cli: Update to 0.16.1

    Changelog:      https://github.com/smallstep/cli/releases/tag/v0.16.1

    PR:             257265

 security/step-cli/Makefile | 225 ++++++++++--------------
 security/step-cli/distinfo | 420 +++++++++++++++++----------------------------
 2 files changed, 251 insertions(+), 394 deletions(-)
Comment 13 Guangyuan Yang freebsd_committer 2021-08-03 21:06:15 UTC
Committed, thanks!